/*
 * JORAM: Java(TM) Open Reliable Asynchronous Messaging
 * Copyright (C) 2003 - ScalAgent Distributed Technologies
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA.
 *
 * Initial developer(s): Nicolas Tachker (ScalAgent)
 * Contributor(s):
 */
package ftp;

import java.io.*;

import javax.jms.*;
import javax.naming.*;

/**
 * Sends messages on the ftp queue.
 */
public class Sender {
  static Context ictx = null; 
  
  public static void main(String[] args) throws Exception {
    System.out.println();
    System.out.println("Send message on the ftp queue...");

    ictx = new InitialContext();
    Queue queue = (Queue) ictx.lookup("ftpQueue");
    QueueConnectionFactory qcf = (QueueConnectionFactory) ictx.lookup("qcf");
    ictx.close();

    QueueConnection qc = qcf.createQueueConnection();
    QueueSession qs = qc.createQueueSession(true, 0);
    QueueSender qsend = qs.createSender(queue);
    TextMessage msg = qs.createTextMessage();

    String file = "FILE NAME";
    msg.setText("Test transfer " + file);
    msg.setStringProperty("url","ftp://user:pass@host/"+file+";type=i");
    msg.setLongProperty("crc",new File(".",file).length());
    msg.setBooleanProperty("ack",false);

    msg.setLongProperty("date",System.currentTimeMillis());
    
    qsend.send(msg);
    
    qs.commit();
    
    System.out.println("message send");

    qc.close();
  }
}
